000035522 - Apache Struts 2 Remote Code Execution Vulnerability (CVE-2017-9805) in RSA Products

Document created by RSA Link Team Employee on Sep 6, 2017Last modified by RSA Product Team on Oct 17, 2017
Version 15Show Document
  • View in full screen mode

Article Content

Article Number000035522
Applies ToRSA Product Set: All RSA Products
CVE IDCVE-2017-9805
Article SummaryOn September 5, 2017, Apache disclosed a vulnerability in the REST plugin used in Apache Struts2 that could allow an attacker to execute arbitrary commands remotely on the affected systems by sending a specially crafted web request to the application. 
The details for this vulnerability can be found at https://struts.apache.org/docs/s2-052.html.
ResolutionRSA is aware of and investigating this issue to identify potential product impact. The level of impact may vary depending on the affected product. The following table contains the latest available impact information. This table will be updated as additional information becomes available.
 
RSA Product NameVersionsImpacted?DetailsLast Updated
3D Secure / Adaptive Authentication eCommerceAll SupportedNot ImpactedProduct does not use impacted version of Apache Struts2017-09-28
Access ManagerAll SupportedNot Impacted  2017-09-11
Adaptive Authentication CloudAll SupportedNot ImpactedProduct does not use impacted version of Apache Struts2017-09-13
Adaptive Authentication HostedAll SupportedNot ImpactedProduct does not use impacted version of Apache Struts2017-09-14
Adaptive Authentication On-Prem7.xNot ImpactedProduct does not use impacted version of Apache Struts2017-09-06
Archer HostedN/ANot Impacted 2017-09-12
Archer PlatformAll SupportedNot ImpactedProduct does not use Apache Struts.2017-09-07
Archer SecOpsAll SupportedNot ImpactedProduct does not use Apache Struts.2017-09-07
Archer Vulnerability & Risk Manager (VRM)All SupportedNot ImpactedProduct does not use Apache Struts.2017-09-07
Authentication Manager8.1, 8.1SP1, 8.2, 8.2SP1Not Impacted 2017-09-07
Authentication Manager Appliance8.1, 8.1SP1, 8.2, 8.2SP1Not Impacted 2017-09-07
BSAFE C Products: MES, Crypto-C ME, SSL-CAll SupportedNot ImpactedProduct does not use Apache Struts.2017-09-13
BSAFE Java Products: Cert-J, Crypto-J, SSL-JAll SupportedNot ImpactedProduct does not use Apache Struts.2017-09-13
Data Loss PreventionAll SupportedNot Impacted 2017-09-07
Data Protection ManagerAll SupportedNot Impacted 2017-09-12
DCS: Certificate ManagerAll SupportedNot ImpactedProduct does not use Apache Struts.2017-09-06
DCS: Validation ManagerAll SupportedNot ImpactedProduct does not use impacted version of Apache Struts2017-09-06
ECAT (NetWitness Endpoint)All SupportedNot Impacted 2017-09-07
eFraudNetwork (eFN)All SupportedNot ImpactedProduct does not use impacted version of Apache Struts2017-09-28
enVisionEOPSNot ImpactedProduct does not use Apache Struts.2017-09-07
Federated Identity ManagerAll SupportedNot ImpactedProduct does not use impacted version of Apache Struts2017-09-13
FraudAction (OTMS)All SupportedNot ImpactedProduct does not use impacted version of Apache Struts2017-09-28
Identity Governance and Lifecycle Software
   (Via Lifecycle and Governance Software, Identity Management & Governance Software)
All SupportedNot ImpactedProduct does not use Apache Struts.2017-09-21
Identity Governance and Lifecycle Appliance
   (Via Lifecycle and Governance Appliance, Identity Management & Governance Appliance)
All SupportedNot ImpactedProduct does not use Apache Struts.2017-09-21
Identity Governance and Lifecycle SaaS / MyAccessLive
   (Via Lifecycle and Governance SaaS / MyAccessLive)
All SupportedNot ImpactedProduct does not use Apache Struts2017-09-21
NetWitness / Security Analytics
   (Physical and Virtual Appliances)
All SupportedNot Impacted2017-09-07
RSA CentralAll SupportedNot ImpactedProduct does not use impacted version of Apache Struts2017-09-14
RSA Live InfrastructureAll SupportedNot Impacted 2017-09-07
SecurID Access Cloud ServiceAll SupportedNot ImpactedProduct does not use impacted version of Apache Struts2017-09-28
SecurID Access IDR VMAll SupportedNot ImpactedProduct does not use impacted version of Apache Struts2017-09-28
SecurID Agent for PAMAll SupportedNot Impacted 2017-09-07
SecurID Agent for WebAll SupportedNot Impacted 2017-09-07
SecurID Agent for WindowsAll SupportedNot Impacted 2017-09-07
SecurID Authentication EngineAll SupportedNot Impacted 2017-09-07
SecurID Authentication SDKAll SupportedNot Impacted 2017-09-07
SecurID Software Token ConverterAll SupportedNot Impacted 2017-09-07
SecurID Software Token for AndroidAll SupportedNot Impacted 2017-09-07
SecurID Software Token for BlackberryAll SupportedNot Impacted 2017-09-07
SecurID Software Token for DesktopAll SupportedNot Impacted 2017-09-07
SecurID Software Token for iPhoneAll SupportedNot Impacted 2017-09-07
SecurID Software Token for Windows MobileAll SupportedNot Impacted 2017-09-07
SecurID Software Token ToolbarAll SupportedNot Impacted 2017-09-07
SecurID Software Token Web SDKAll SupportedNot Impacted 2017-09-07
SecurID Transaction Signing SDKAll SupportedNot Impacted 2017-09-07
Web Threat DetectionAll SupportedNot ImpactedProduct does not use Apache Struts2017-10-16

 
Notes

For status of Dell products, see: Apache Struts 2 Remote Code Execution Vulnerability (CVE-2017-9805) | Dell US 

For status of Dell EMC products, see: https://support.emc.com/kb/503891
For status of Dell EMC CPSD products: http://support.vce.com/kA2A0000000LKm0

 

Disclaimer

Read and use the information in this RSA Security Advisory to assist in avoiding any situation that might arise from the problems described herein. If you have any questions regarding this product alert, contact RSA Software Technical Support at 1- 800 995 5095. RSA Security LLC and its affiliates, including without limitation, its ultimate parent company, Dell Technologies, distributes RSA Security Advisories in order to bring to the attention of users of the affected RSA products, important security information. RSA recommends that all users determine the applicability of this information to their individual situations and take appropriate action. The information set forth herein is provided 'as is' without warranty of any kind. RSA disclaims all warranties, either express or implied, including the warranties of merchantability, fitness for a particular purpose, title and non-infringement. In no event, shall RSA, its affiliates or suppliers, be liable for any damages whatsoever including direct, indirect, incidental, consequential, loss of business profits or special damages, even if RSA, its affiliates or suppliers have been advised of the possibility of such damages. Some jurisdictions do not allow the exclusion or limitation of liability for consequential or incidental damages, so the foregoing limitation may not apply.

Attachments

    Outcomes